#include <ubixButton.h>
#include <vContext.h>
#include <sTypes.h>
#include <sys/types.h>
#include <iostream>

ubixButton::ubixButton(vContext * parent) : vButton(parent) {
  vSetSize(48, 48);
  sSize * size = NULL;
  size = dynamic_cast<sSize *>(vGetStyle("default.button.border.size"));

  if (size != NULL) {
    cout << "size.width: " << size->width << endl;
    cout << "size.height: " << size->height << endl;
  } // if

  vSetStyle("default.button.border.size", new sSize(0, 0, 0));

  size = dynamic_cast<sSize *>(vGetStyle("default.button.border.size"));

  if (size != NULL) {
    cout << "size.width: " << size->width << endl;
    cout << "size.height: " << size->height << endl;
  } // if
  return;

} // ubixButton::ubixButton()

ubixButton::~ubixButton(void) {
  return;
} // ubixButton::~ubixButton()
